Bug 1730770 - kdelibs-devel requires pkgconfig(xxf86misc) but that's not available in rawhide anymore
Summary: kdelibs-devel requires pkgconfig(xxf86misc) but that's not available in rawhi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 15:01 UTC by Caolan McNamara
Modified: 2019-08-30 00:49 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-17 21:08:46 UTC


Attachments (Terms of Use)

Description Caolan McNamara 2019-07-17 15:01:55 UTC
Description of problem:
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides pkgconfig(xxf86misc) needed by kdelibs-devel-6:4.14.38-12.fc31.x86_64

Version-Release number of selected component (if applicable):
kdelibs-devel-6:4.14.38-12.fc31

How reproducible:
100%

kdelib.spec has a BuildRequires on BuildRequires pkgconfig(xxf86misc) but libXxf86misc.spec (relatively) recently dropped that provides...

commit 572f5324ca85a795624643075c9c15f7fa5f99ce
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 20 13:27:34 2019 -0400

    Fix build with xorgproto >= 2019.1, which dropped the xf86misc headers
    Stop building the devel subpackage in Fedora and RHEL > 8, no new code
      should try to use this library, the X server hasn't implemented it in
      over 10 years

Comment 1 Kevin Kofler 2019-07-17 21:08:46 UTC
Dependency removed. FindX11.cmake in kdelibs 4 checks for a whole bunch of libraries, most of which are optional. But then a lot of packages depending on kdelibs expect to find some of these libraries. So we were just requiring all of them. I removed xf86misc from the list now.

Comment 2 Fedora Update System 2019-08-12 22:42:07 UTC
FEDORA-2019-a746ac9c89 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a746ac9c89

Comment 3 Fedora Update System 2019-08-12 22:42:09 UTC
FEDORA-2019-39d23c7a94 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-39d23c7a94

Comment 4 Fedora Update System 2019-08-13 01:51:24 UTC
kde-settings-30.3-1.fc30, kdelibs-4.14.38-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a746ac9c89

Comment 5 Fedora Update System 2019-08-13 01:55:14 UTC
kde-settings-29.1-1.fc29, kdelibs-4.14.38-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-39d23c7a94

Comment 6 Fedora Update System 2019-08-14 01:05:33 UTC
kde-settings-30.3-1.fc30, kdelibs-4.14.38-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-08-30 00:49:31 UTC
kde-settings-29.1-1.fc29, kdelibs-4.14.38-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.